/*
 * Copyright (c) 2015 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef UI_H_
#define UI_H_

#include "main.h"

void _prepare_ui(appdata_s *ad);
void _create_box(appdata_s *ad);
void _create_spinner(appdata_s *ad);
void _create_raw_text(appdata_s *ad);
void _create_data_list(appdata_s *ad);
void _create_image_box(appdata_s *ad);
void _create_buttons(appdata_s *ad);
void _set_weather_image(float temp, int humidity, appdata_s *ad);
void _open_sign_up_site(void *data, Evas_Object *obj, void *event_info);

#endif                           // UI_H_
